# Insert product Endpoint: POST /enrichment/products Version: 2.51.0 Security: OAuth2 ## Request fields (application/json): - `externalId` (string, required) External ID of the product that is globally unique across the provided product data Example: "DE01" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `productNumber` (string) Number of the product as defined by the supplier Example: "NO123" - `type` (string) Type of the product as defined in the company’s product master (e.g., Operating Supplies) Example: "Operating Supplies" - `group` (string) Group of the product as defined in the product master of the company Example: "Electronics" - `description` (string) Description of the product Example: "A Laptop XP" - `shortDescription` (string) Shortened version of the product description Example: "A great laptop" - `manufacturer` (string) Name of the product manufacturer Example: "Corporation ABC" - `unspsc` (string) Universal Product Code (UPC-A) Example: "43211508" - `ean` (string) European Article Number (EAN-13) Example: "4006381333931" - `upc` (string) Universal Product Code (UPC-A) Example: "036000291452" - `baseUnitOfMeasure` (string) The base unit in which the product is managed in the system Example: "kg" - `customsTariffNumber` (string) Customs tariff number (HS/TARIC code) used for cross-border trade and customs Example: "8471300000" - `plants` (array) Example: ["PLANT-001"] - `status` (string) Current status of the product Enum: "ACTIVE", "INACTIVE", "DISCONTINUED" - `grossWeight` (number) Gross weight of the product including packaging Example: 2.5 - `netWeight` (number) Net weight of the product excluding packaging Example: 2.3 - `weightUnit` (string) Unit for weight values Example: "KG" - `volume` (number) Volume of the product Example: 0.015 - `volumeUnit` (string) Unit for volume values Example: "M3" - `salesOrganizationInfo` (array) - `salesOrganizationInfo.externalSalesOrganizationId` (string) External identifier for the sales organization Example: "1000" - `salesOrganizationInfo.distributionChannel` (string) Distribution channel for sales Example: "2000" - `salesOrganizationInfo.division` (string) Division under which the sales organization operates Example: "3000" - `salesOrganizationInfo.salesGroup` (string) Sales group associated with the contract Example: "4000" - `salesOrganizationInfo.salesOffice` (string) Sales office responsible for the contract Example: "5000" - `salesOrganizationInfo.blockedForOrdering` (boolean) Indicator if the customer is blocked for ordering in a sales organization Example: true - `salesOrganizationInfo.blockedForDelivery` (boolean) Indicator if the subsidiary is blocked for delivery - `salesOrganizationInfo.shippingAddresses` (array) List of external id of the related shipping addresses Example: ["ADDR001","ADDR002"] - `salesOrganizationInfo.billingAddresses` (array) List of external id of the related billing addresses Example: ["ADDR003"] - `salesOrganizationInfo.salesOrganizationCode` (string) Code of the sales organization in the source system (not unique across clients) Example: "SO001" - `salesOrganizationInfo.salesUnit` (object) - `salesOrganizationInfo.salesUnit.unitOfMeasure` (string) Unit in which the product is sold, different from base unit Example: "PK" - `salesOrganizationInfo.salesUnit.conversionFactorToBaseUnit` (number) Number of base units per sales unit (e.g., 10 means 1 PK = 10 PC) Example: 1000 - `salesOrganizationInfo.salesUnit.description` (string) Description of the sales unit packaging Example: "Package of 10 units" - `salesOrganizationInfo.productGroup1` (string) Customer- or ERP-defined sales product classification 1. Can be used for reporting, pricing, segmentation, routing, or sales-specific product grouping. Example: "ELECTRONICS" - `salesOrganizationInfo.productGroup2` (string) Customer- or ERP-defined sales product classification 2. Can be used for reporting, pricing, segmentation, routing, or sales-specific product grouping. Example: "COMPUTERS" - `salesOrganizationInfo.productGroup3` (string) Customer- or ERP-defined sales product classification 3. Can be used for reporting, pricing, segmentation, routing, or sales-specific product grouping. Example: "LAPTOPS" - `salesOrganizationInfo.productGroup4` (string) Customer- or ERP-defined sales product classification 4. Can be used for reporting, pricing, segmentation, routing, or sales-specific product grouping. Example: "B2B_DIRECT" - `salesOrganizationInfo.productGroup5` (string) Customer- or ERP-defined sales product classification 5. Can be used for reporting, pricing, segmentation, routing, or sales-specific product grouping. Example: "B2B_DIRECT" - `salesOrganizationInfo.productCategoryGroup` (string) Sales-specific product category or item category group used to determine how the product is handled in sales processes, such as order processing, item categorization, pricing, or fulfillment logic. Example: "STANDARD_GOOD" - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 200 fields (application/json): - `id` (string, required) Example: "3a429dc8-56d4-42ef-a4cf-2ebc9ad1ef38" ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields